List test runs
curl --request GET \
--url https://guidinghand.ai/v1/test_runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/test_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/test_runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "test_run",
"test_run_id": "tr_Vb7sT2Lc0aQ3",
"name": "<string>",
"test_set_id": "<string>",
"agents": [
"default",
"lenovo-support"
],
"status": "queued",
"progress": {
"total": 123,
"queued": 123,
"running": 123,
"passed": 123,
"failed": 123,
"error": 123
},
"pass_rate": {
"default": 0.54,
"lenovo-support": 0.63
},
"metadata": {
"customer_id": "cus_42"
},
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer",
"test_case_ids": [
"<string>"
]
}
}Test runs
List test runs
Newest first.
GET
/
v1
/
test_runs
List test runs
curl --request GET \
--url https://guidinghand.ai/v1/test_runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/test_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/test_runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "test_run",
"test_run_id": "tr_Vb7sT2Lc0aQ3",
"name": "<string>",
"test_set_id": "<string>",
"agents": [
"default",
"lenovo-support"
],
"status": "queued",
"progress": {
"total": 123,
"queued": 123,
"running": 123,
"passed": 123,
"failed": 123,
"error": 123
},
"pass_rate": {
"default": 0.54,
"lenovo-support": 0.63
},
"metadata": {
"customer_id": "cus_42"
},
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer",
"test_case_ids": [
"<string>"
]
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.
Query Parameters
Only runs with this status.
Available options:
queued, running, completed, cancelled Only runs of this test set.
How many to return, 1 to 100.
Required range:
1 <= x <= 100next_cursor from the previous page.